/**
 * @file development/issues/open/210.mjs
 * @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/210
 * @description initializing of reloaded html fields
 * @issue 210
 */

import "../../../source/components/style/property.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";
import "../../../source/components/style/form.pcss";

import "../../../source/components/datatable/datasource/rest.mjs";
import "../../../source/components/datatable/save-button.mjs";

import "../../../source/components/form/form.mjs";
import "../../../source/components/form/field-set.mjs";
import "../../../source/components/form/select.mjs";
import "../../../source/components/form/context-help.mjs";
import "../../../source/components/form/context-error.mjs";


import {domReady} from "../../../source/dom/ready.mjs";

domReady.then(() => {

    // get html from server '/issue-210.html' and insert after last field in form
    fetch('/issue-210.html')
        .then(response => response.text())
        .then(html => {
            const form = document.querySelector('monster-form');
            const fieldSet = document.querySelector('monster-field-set');
            if (!fieldSet) {
                return;
            }
            fieldSet.insertAdjacentHTML('beforeend', html);
            // form.refresh();
            
        });


});

